#include <stdint.h>

void clear_fs_handles();

typedef uint8_t fs_handle;
fs_handle fs_open(uint8_t *path);
fs_handle fs_open_root();
int32_t fs_seek(fs_handle handle, int32_t by);
uint32_t fs_read(fs_handle handle, uint32_t max, void *buffer);
uint32_t fs_write(fs_handle handle, uint32_t max, void *buffer);
void fs_close(fs_handle handle);